Bug 1603942 - f2fs-tools: FTBFS in Fedora rawhide
Summary: f2fs-tools: FTBFS in Fedora rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: f2fs-tools
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Eduardo Echeverria
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 19:35 UTC by Mohan Boddu
Modified: 2019-05-10 03:15 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-04-25 23:24:23 UTC


Attachments (Terms of Use)
build.log (32.00 KB, text/plain)
2018-07-19 19:35 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-19 19:35 UTC, Mohan Boddu
no flags Details
state.log (635 bytes, text/plain)
2018-07-19 19:35 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 19:35:23 UTC
f2fs-tools failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28176647


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix f2fs-tools at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
f2fs-tools will be orphaned. Before branching of Fedora 30,
f2fs-tools will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 19:35:32 UTC
Created attachment 1461834 [details]
build.log

file build.log too big, will only attach last 32768 bytes

Comment 2 Mohan Boddu 2018-07-19 19:35:36 UTC
Created attachment 1461835 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 19:35:38 UTC
Created attachment 1461836 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 09:41:50 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Fedora Update System 2019-04-14 15:41:12 UTC
f2fs-tools-1.12.0-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1159e433c6

Comment 6 Fedora Update System 2019-04-14 15:41:19 UTC
f2fs-tools-1.12.0-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-f281f84acf

Comment 7 Fedora Update System 2019-04-14 15:41:24 UTC
f2fs-tools-1.12.0-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-55c88cec0a

Comment 8 Fedora Update System 2019-04-14 15:41:29 UTC
f2fs-tools-1.12.0-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-c600d85e19

Comment 9 Fedora Update System 2019-04-15 01:42:55 UTC
f2fs-tools-1.12.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f281f84acf

Comment 10 Fedora Update System 2019-04-15 15:15:55 UTC
f2fs-tools-1.12.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-55c88cec0a

Comment 11 Fedora Update System 2019-04-15 16:20:02 UTC
f2fs-tools-1.12.0-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1159e433c6

Comment 12 Fedora Update System 2019-04-15 20:43:38 UTC
f2fs-tools-1.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-c600d85e19

Comment 13 Fedora Update System 2019-04-25 23:24:23 UTC
f2fs-tools-1.12.0-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2019-04-26 22:28:59 UTC
f2fs-tools-1.12.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-27 21:24:34 UTC
f2fs-tools-1.12.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-05-10 03:15:13 UTC
f2fs-tools-1.12.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.